package pcc.chemicraft;

import net.minecraft.block.Block;
import net.minecraft.item.ItemStack;
import net.minecraftforge.oredict.OreDictionary;
import pcc.chemicraft.gen.EnumOreSpawnFrequency;
import pcc.chemicraft.util.Formula;

public class ChemiCraftRegisterChemicalRecipe extends ChemiCraftRegister
{

	public ChemiCraftRegisterChemicalRecipe(ChemiCraft mod)
	{
		super(mod);
	}

	@Override
	public void start()
	{
		// 元素入手手段

		// 水素
		// 水を分解。

		// ヘリウム
		// 未定。

		// リチウム
		this.mod.api.addAtomOres(
				"LithiumOre",
				new Formula("LiAlSi4O10"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// LiAlSi4O10
		this.mod.api.addAtomOresLanguage("LithiumOre", "リチウム鉱石", "ja_JP");

		// ベリリウム
		this.mod.api.addAtomOres(
				"BerylliumOre",
				new Formula("Be3Al2Si6O18"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// Be3Al2Si6O18
		this.mod.api.addAtomOresLanguage("BerylliumOre", "ベリリウム鉱石", "ja_JP");

		// ホウ素
		this.mod.api.addAtomOres(
				"BoronOre",
				new Formula("NaCaB5O6(OH)6・5H2O"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// NaCaB5O6(OH)6・5H2O
		this.mod.api.addAtomOresLanguage("BoronOre", "ホウ素鉱石", "ja_JP");

		// 炭素
		this.mod.api.addPyrolysisDecompositionRecipe(
				new ItemStack(Block.oreCoal),
				new Integer[] { this.mod.chemicalData.CARBON },
				new Integer[] { 1 });

		// フッ素
		this.mod.api.addAtomOres(
				"FluorineOre",
				new Formula("CaF2"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// CaF2
		this.mod.api.addAtomOresLanguage("FluorineOre", "フッ素鉱石", "ja_JP");

		// ナトリウム
		this.mod.api.addAtomOres(
				"SodiumOre",
				new Formula("NaCl"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// NaCl
		this.mod.api.addAtomOresLanguage("SodiumOre", "ナトリウム鉱石", "ja_JP");

		// マグネシウム
		this.mod.api.addAtomOres(
				"MagnesiumOre",
				new Formula("CaMg(CO3)2"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// CaMg(CO3)2
		this.mod.api.addAtomOresLanguage("MagnesiumOre", "マグネシウム鉱石", "ja_JP");

		// アルミニウム
		this.mod.api.addAtomOres(
				"AluminiumOre",
				new Formula("Al(OH)3"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// Al(OH)3
		this.mod.api.addAtomOresLanguage("AluminiumOre", "アルミニウム鉱石", "ja_JP");

		// ケイ素
		// 1.5まで保留。

		// リン
		this.mod.api.addAtomOres(
				"PhosphorusOre",
				new Formula("Ca5(PO4)3F"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// Ca5(PO4)3F
		this.mod.api.addAtomOresLanguage("PhosphorusOre", "リン鉱石", "ja_JP");

		// 硫黄
		this.mod.api.addAtomOres(
				"SulfurOre",
				new Formula("S"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// S
		this.mod.api.addAtomOresLanguage("SulfurOre", "硫黄鉱石", "ja_JP");

		// カリウム
		this.mod.api.addAtomOres(
				"PotassiumOre",
				new Formula("KCl"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// KCl
		this.mod.api.addAtomOresLanguage("PotassiumOre", "カリウム鉱石", "ja_JP");

		// カルシウム
		this.mod.api.addAtomOres(
				"CalciumOre",
				new Formula("CaCO3"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// CaCO3
		this.mod.api.addAtomOresLanguage("CalciumOre", "カルシウム鉱石", "ja_JP");

		// スカンジウム
		this.mod.api.addAtomOres(
				"ScandiumOre",
				new Formula("Sc2Si2O7"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// (Sc,Y)2Si2O7
		this.mod.api.addAtomOresLanguage("ScandiumOre", "スカンジウム鉱石", "ja_JP");

		// チタン
		this.mod.api.addAtomOres(
				"TitaniumOre",
				new Formula("TiO2"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// TiO2
		this.mod.api.addAtomOresLanguage("TitaniumOre", "チタン鉱石", "ja_JP");

		// バナジウム
		this.mod.api.addAtomOres(
				"VanadiumOre",
				new Formula("K2(UO2)2V2O8・3H2O"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// K2(UO2)2V2O8・3H2O
		this.mod.api.addAtomOresLanguage("VanadiumOre", "バナジウム鉱石", "ja_JP");

		// クロム
		this.mod.api.addAtomOres(
				"Chromium",
				new Formula("FeCr2O4"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("Chromium", "クロム鉱石", "ja_JP");
		// FeCr2O4

		// マンガン
		this.mod.api.addAtomOres(
				"ManganeseOre",
				new Formula("MnO2"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("ManganeseOre", "マンガン鉱石", "ja_JP");
		// MnO2

		// コバルト
		this.mod.api.addAtomOres(
				"CobaltOre",
				new Formula("CoAsS"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("CobaltOre", "コバルト鉱石", "ja_JP");
		// CoAsS

		// ニッケル
		this.mod.api.addAtomOres(
				"NickelOre",
				new Formula("Ni3Si2O5(OH)4"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		// (Ni,Mg)3Si2O5(OH)4
		this.mod.api.addAtomOresLanguage("NickelOre", "ニッケル鉱石", "ja_JP");

		// 銅
		// IC2で入手
		this.mod.api.addPyrolysisDecompositionRecipe(
				OreDictionary.getOres("oreCopper"),
				new Integer[] { this.mod.chemicalData.COPPER },
				new Integer[] { 1 });

		// 亜鉛
		this.mod.api.addAtomOres(
				"ZincOre",
				new Formula("ZnS"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("ZincOre", "亜鉛鉱石", "ja_JP");
		// (Zn,Fe)S

		// ガリウム
		this.mod.api.addAtomOres(
				"Gallium",
				new Formula("Ga"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("Gallium", "ガリウム鉱石", "ja_JP");
		// Ga

		// ゲルマニウム
		this.mod.api.addAtomOres(
				"GermaniumOre",
				new Formula("Ge"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("GermaniumOre", "ゲルマニウム鉱石", "ja_JP");
		// Ge

		// ヒ素
		this.mod.api.addAtomOres(
				"ArsenicOre",
				new Formula("As2S3"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("ArsenicOre", "ヒ素鉱石", "ja_JP");
		// As2S3

		// ルビジウム
		this.mod.api.addAtomOres(
				"RubidiumOre",
				new Formula("Rb"),
				this.mod.atomOresID[this.mod.api.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.NORMAL);
		this.mod.api.addAtomOresLanguage("RubidiumOre", "ルビジウム鉱石", "ja_JP");
		// Rb

	}

}
