package pcc.chemicraft;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemStack;
import pcc.chemicraft.item.ItemAtoms;
import pcc.chemicraft.item.ItemAtomsGrenade;
import pcc.chemicraft.item.ItemBlackSmoke;
import pcc.chemicraft.item.ItemChemiCell;
import pcc.chemicraft.item.ItemCompounds;
import pcc.chemicraft.item.ItemDust;
import pcc.chemicraft.item.ItemGasCollectingBottle;
import pcc.chemicraft.item.ItemRadiationBallet;
import pcc.chemicraft.item.ItemRadiationGun;
import pcc.chemicraft.util.OldItemFood;

public class ChemiCraftRegisterItem extends ChemiCraftRegister {

	public ChemiCraftRegisterItem(ChemiCraft mod) {
		super(mod);
	}

	@Override
	public void start() {
		/*
		 * 代入
		 */
		this.mod.itemAtoms = new ItemAtoms(this.mod.atomsID).setItemName("atoms");
		this.mod.itemCompounds = new ItemCompounds(this.mod.compoundsID).setItemName("compounds");
		this.mod.itemGasCollectingBottle = new ItemGasCollectingBottle(this.mod.gasCollectingBottleID).setItemName("gasCollectingBottle").setIconIndex(0);
		this.mod.itemAtomGrenade = new ItemAtomsGrenade(this.mod.atomGrenadeID).setItemName("grenade").setIconIndex(1);
		this.mod.itemChemicalCells = new ItemChemiCell(this.mod.chemicalCellsID).setItemName("chemiCell").setIconIndex(3);
		this.mod.itemDust = new ItemDust(this.mod.dustID).setItemName("dust").setIconIndex(12);
		this.mod.itemRadiationGun = new ItemRadiationGun(this.mod.radiationGunID).setIconIndex(4).setItemName("RadiationGun");
		this.mod.itemRadiationBallet = new ItemRadiationBallet(this.mod.radiationBalletID).setIconIndex(5).setItemName("RadiationBallet");
		this.mod.itemBlackSmoke = new ItemBlackSmoke(this.mod.blackSmokeID).setIconIndex(7).setItemName("BlackSmoke");
		this.mod.itemPear = new OldItemFood(this.mod.pearID, 4, 0.4F, false){
			public int getColorFromItemStack(ItemStack par1ItemStack,int par2){
				return 0x66FF66;
				}
			}.setIconIndex(11).setCreativeTab(CreativeTabs.tabFood).setItemName("Pear");

		/*
		 * 名前登録&Minecraftに登録
		 */
		this.mod.nameAuxiliary.addName(this.mod.itemAtoms, ChemiCraft.ATOMSNAME);
		this.mod.nameAuxiliary.addName(this.mod.itemAtoms, "ja_JP", ChemiCraft.ATOMSNAMEJP);
		this.mod.nameAuxiliary.addName(this.mod.itemGasCollectingBottle, "GasCollectingBottle");
		this.mod.nameAuxiliary.addName(this.mod.itemGasCollectingBottle, "ja_JP", "集気瓶");
		this.mod.nameAuxiliary.addName(this.mod.itemAtomGrenade, "AtomGrenade");
		this.mod.nameAuxiliary.addName(this.mod.itemAtomGrenade, "ja_JP", "元素手榴弾");
		this.mod.nameAuxiliary.addName(this.mod.itemDust, "dust");
		this.mod.nameAuxiliary.addName(this.mod.itemDust, "ja_JP", "粉塵");
		this.mod.nameAuxiliary.addName(this.mod.itemRadiationGun, "RadiationGun");
		this.mod.nameAuxiliary.addName(this.mod.itemRadiationGun, "ja_JP", "放射線銃");
		this.mod.nameAuxiliary.addName(this.mod.itemRadiationBallet, "RadiationBallet");
		this.mod.nameAuxiliary.addName(this.mod.itemRadiationGun, "ja_JP", "放射線弾");
		this.mod.nameAuxiliary.addName(this.mod.itemBlackSmoke, "BlackSmoke");
		this.mod.nameAuxiliary.addName(this.mod.itemBlackSmoke, "ja_JP", "黒煙");
		this.mod.nameAuxiliary.addName(this.mod.itemPear, "Pear");
		this.mod.nameAuxiliary.addName(this.mod.itemPear, "ja_JP",  "梨");
	}

}
