package pcc.chemicraft;

import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import pcc.chemicraft.util.Formula;
import pcc.chemicraft.util.NBTRecipeGrenade;
import cpw.mods.fml.common.registry.GameRegistry;

public class ChemiCraftRegisterRecipe extends ChemiCraftRegister {

	public ChemiCraftRegisterRecipe(ChemiCraft mod) {
		super(mod);
	}

	@Override
	public void start() {

		/*
		 * 科学作業台のレシピ
		 */
		GameRegistry.addRecipe(new ItemStack(this.mod.blockPyrolysisTable),
				new Object[]{
			"XYX", "ZAZ", "ZZZ",
			Character.valueOf('X'), new ItemStack(Item.ingotIron),
			Character.valueOf('Y'), new ItemStack(Block.workbench),
			Character.valueOf('Z'), new ItemStack(Block.stone),
			Character.valueOf('A'), new ItemStack(Item.bucketLava),
		});

		GameRegistry.addRecipe(new ItemStack(this.mod.blockChemicalCombinationTable),
				new Object[]{
			"XYX", "ZAZ", "ZZZ",
			Character.valueOf('X'), new ItemStack(Item.ingotIron),
			Character.valueOf('Y'), new ItemStack(Block.workbench),
			Character.valueOf('Z'), new ItemStack(Block.stone),
			Character.valueOf('A'), new ItemStack(Block.obsidian),
		});

		GameRegistry.addRecipe(new ItemStack(this.mod.blockToolAndWeaponCraftingTable),
				new Object[]{
			"XYX", "ZAZ", "ZZZ",
			Character.valueOf('X'), new ItemStack(Item.ingotIron),
			Character.valueOf('Y'), new ItemStack(Block.workbench),
			Character.valueOf('Z'), new ItemStack(Block.stone),
			Character.valueOf('A'), new ItemStack(Item.pickaxeSteel),
		});

		GameRegistry.addRecipe(new ItemStack(this.mod.blockChemicalCraftingTable),
				new Object[]{
			"XYX", "ZAZ", "ZZZ",
			Character.valueOf('X'), new ItemStack(Item.ingotIron),
			Character.valueOf('Y'), new ItemStack(Block.workbench),
			Character.valueOf('Z'), new ItemStack(Block.stone),
			Character.valueOf('A'), new ItemStack(this.mod.itemAtoms, 1, 0),
		});

		/*
		 * 化合物のレシピ
		 */
		this.mod.api.addChemicalCombinationRecipe(new ItemStack(this.mod.itemCompounds, 1, this.mod.api.getCompound("SodiumChloride")), new Formula(new String[]{"Na", "O", "H"}, new Integer[]{1, 1, 1}));
		this.mod.api.addChemicalCombinationRecipe(new ItemStack(this.mod.itemCompounds, 1, this.mod.api.getCompound("ChlorousAcid")), new Formula(new String[]{"H", "O", "Cl"}, new Integer[]{1, 2, 1}));
		this.mod.api.addReversibleOfElectrolysis(new ItemStack(this.mod.itemCompounds, 1, this.mod.api.getCompound("Water")), new Formula(new String[]{"H", "O"}, new Integer[]{2, 1}));

		/*
		 * 既存物のレシピ
		 */
		this.mod.api.addReversibleOfPyrolysis(new ItemStack(Block.dirt), new Formula("SiI2O2"));
		this.mod.api.addReversibleOfPyrolysis(new ItemStack(Block.sand), new Formula("SiIO"));
		this.mod.api.addReversibleOfPyrolysis(new ItemStack(Block.stone), new Formula("SiO2"));
		this.mod.api.addReversibleOfPyrolysis(new ItemStack(Block.glass), new Formula("SiCO2"));
		this.mod.api.addReversibleOfElectrolysis(new ItemStack(Block.wood), new Formula("C6H10O5"));
		this.mod.api.addReversibleOfPyrolysis(new ItemStack(Block.tnt), new Formula("C7H5N3O6"));
		this.mod.api.addReversibleOfPyrolysis(new ItemStack(Item.emerald), new Formula("Be3Al2Si6O18"));
		this.mod.api.addChemicalCombinationRecipe(new ItemStack(Item.diamond), new Formula("C64Si16"));

		/*
		 * 素材制作代のレシピ
		 */

		//化学電池の追加
		this.mod.api.addMaterialRecipe(new ItemStack[] {
				null,
				null,
				null,
				new ItemStack(this.mod.itemAtoms, 1, this.mod.chemicalData.ZINC),
				null,
				new ItemStack(this.mod.itemAtoms, 1, this.mod.chemicalData.COPPER),
				new ItemStack(Item.bucketWater),
				new ItemStack(Item.bucketWater),
				new ItemStack(Item.bucketWater),
		},
		new ItemStack(this.mod.itemChemicalCells, 1, 0),
		null);

		//手榴弾の追加
		this.mod.api.addMaterialRecipe(new ItemStack[] {
				null,
				new ItemStack(Block.stone),
				null,
				new ItemStack(Block.stone),
				new ItemStack(Item.gunpowder),
				new ItemStack(Block.stone),
				null,
				new ItemStack(Block.stone),
				null
		},
		new ItemStack(this.mod.itemAtomGrenade, 16, 0),
		new NBTRecipeGrenade()
				);

		this.mod.api.addMaterialRecipe(new ItemStack[] {
				new ItemStack(this.mod.itemAtoms, 1, ChemiCraftData.toAtoms("Na")),
				new ItemStack(this.mod.itemAtoms, 1, ChemiCraftData.toAtoms("C")),
				new ItemStack(this.mod.itemAtoms, 1, ChemiCraftData.toAtoms("I")),
				null,
				new ItemStack(Item.appleRed),
				null,
				null,
				null,
				null,
		}, 
		new ItemStack(this.mod.itemPear),
		null
				);

		/*
		 * 熱分解台のレシピ
		 */
		this.mod.api.addPyrolysisDecompositionRecipe(new ItemStack(Item.potion, 1, 0),
				new Integer[] {ChemiCraftData.HYDROGEN, this.mod.chemicalData.OXYGEN},
				new Integer[] {2, 1});

		this.mod.api.addPyrolysisDecompositionRecipe(new ItemStack(this.mod.itemCompounds, 1, this.mod.api.getCompound("Water")),
				new Integer[] {ChemiCraftData.HYDROGEN, this.mod.chemicalData.OXYGEN},
				new Integer[] {2, 1});

		for (int i = 0; i < this.mod.api.getAtomOresName().sizeKeysList(); i++){
			this.mod.api.addPyrolysisDecompositionRecipe(new ItemStack(this.mod.blockAtomOres[i / 16], 1, i - i / 16 * 16),
					this.mod.api.getAtomOresAtoms().get(this.mod.api.getAtomOresName().getKeyList(i)),
					this.mod.api.getAtomOresAmounts().get(this.mod.api.getAtomOresName().getKeyList(i)));
		}


	}

}
